import(1)

NAME
import - capture some or all of an X server screen and save the image to a file.

SYNOPSIS
import [ options ... ] [ file ]

DESCRIPTION
import reads an image from any visible window on an X server and outputs it as an image file. You can capture a single window, the entire screen, or any rectangular portion of the screen. Use display (see display(1)) for redisplay, printing, editing, formatting, archiving, image processing, etc. of the captured image. The target window can be specified by id, name, or may be selected by clicking the mouse in the desired window. If you press a button and then drag, a rectangle will form which expands and contracts as the mouse moves. To save the portion of the screen defined by the rectangle, just release the button. The keyboard bell is rung once at the beginning of the screen capture and twice when it completes.

EXAMPLES
To select an X window with the mouse and save it in the MIFF image format to a file titled window.miff, use:
     import window.miff
To select an X window and save it in the Encapsulated Postscript format to include in another document, use:
     import figure.eps
To capture the entire X server screen in the JPEG image format in a file titled root.jpeg, use:
     import -window root root.jpeg

OPTIONS
import options can appear on the command line or in your X resources file (see X(1)). Options on the command line supersede values specified in your X resources file.

-adjoin
    join images into a single multi-image file. By default, all images of an image sequence are stored in the same file. However, some formats (e.g. JPEG) do not support more than one image and are saved to separate files. Use +adjoin to force this behavior.

-border
    include image borders in the output image.

-cache threshold
    megabytes of memory available to the pixel cache. Image pixels are stored in memory until 80 megabytes of memory have been consumed. Subsequent pixel operations are cached on disk. Operations to memory are significantly faster but if your computer does not have a sufficient amount of free memory you may want to adjust this threshold value. -colors value preferred number of colors in the image. The actual number of colors in the image may be less than your request, but never more. Note, this is a color reduction option. Images with less unique colors than specified with this option will have any duplicate or unused colors removed. Refer to quantize(9) for more details. Note, options -dither, -colorspace, and -treedepth affect the color reduction algorithm.

-colorspace value
    the type of colorspace: GRAY, OHTA, RGB, Transparent, XYZ, YCbCr, YIQ, YPbPr, YUV, or CMYK. Color reduction, by default, takes place in the RGB color space. Empirical evidence suggests that distances in color spaces such as YUV or YIQ correspond to perceptual color differences more closely than do distances in RGB space. These color spaces may give better results when color reducing an image. Refer to quantize(9) for more details. The Transparent color space behaves uniquely in that it preserves the matte channel of the image if it exists. The -colors or -monochrome option is required for this option to take effect.

-comment string
    annotate an image with a comment. By default, each image is commented with its file name. Use this option to assign a specific comment to the image. Optionally you can include the image filename, type, width, height, or other image attributes by embedding special format characters:
        %b   file size
        %c   comment
        %d   directory
        %e   filename extention
        %f   filename
        %h   height
        %i   input filename
        %l   label
        %m   magick
        %n   number of scenes
        %o   output filename
        %p   page number
        %q   quantum depth
        %s   scene number
        %t   top of filename
        %u   unique temporary filename
        %w   width
        %x   x resolution
        %y   y resolution
        \n   newline
        \r   carriage return
    For example,
         -comment "%m:%f %wx%h"
    produces an image comment of MIFF:bird.miff 512x480 for an image titled bird.miff and whose width is 512 and height is 480. If the first character of string is @, the image comment is read from a file titled by the remaining characters in the string.

-compress type
    the type of image compression: None, BZip, Fax, Group4, JPEG, LZW, RunlengthEncoded, or Zip. Specify +compress to store the binary image in an uncompressed format. The default is the compression type of the specified image file.

-crop <width>x<height>{+-}<x offset>{+-}<y offset>{%}
    preferred size and location of the cropped image. See X(1) for details about the geometry specification. To specify a percentage width or height instead, append %. For example to crop the image by ten percent on all sides of the image, use -crop 10%. Omit the x and y offset to generate one or more subimages of a uniform size. Use cropping to crop a particular area of an image. Use -crop 0x0 to trim edges that are the background color. Add an x and y offset to leave a portion of the trimmed edges with the image.

-delay <1/100ths of a second>x<seconds>
    display the next image after pausing. This option is useful for regulating the display of the sequence of images. 1/100ths of a second must expire before the display of the next image. The default is 6/100 of a second between each frame of the image sequence. The second value is optional. It specifies the number of seconds to pause before repeating your animation sequence.

-density <width>x<height>
    vertical and horizontal resolution in pixels of the image. This option specifies an image density when decoding a Postscript or Portable Document page. The default is 72 pixels per inch in the horizontal and vertical direction. This option is used in concert with -page.

-descend
    obtain image by descending window hierarchy.

-display host:display[.screen]
    specifies the X server to contact; see X(1).

-dispose method
    GIF disposal method. Here are the valid methods:
         0     No disposal specified.
         1     Do not dispose between frames.
         2     Overwrite frame with background color from header.
         3     Overwrite with previous frame.

-dither
    apply Floyd/Steinberg error diffusion to the image. The basic strategy of dithering is to trade intensity resolution for spatial resolution by averaging the intensities of several neighboring pixels. Images which suffer from severe contouring when reducing colors can be improved with this option. The -colors or -monochrome option is required for this option to take effect. Use +dither to render Postscript without text or graphic aliasing.

-frame
    include window manager frame.

-geometry <width>x<height>{+-}<x offset>{+-}<y offset>{%}{!}{<}{>}
    the width and height of the image. By default, the width and height are maximum values. That is, the image is expanded or contracted to fit the width and height value while maintaining the aspect ratio of the image. Append an exclamation point to the geometry to force the image size to exactly the size you specify. For example, if you specify 640x480! the image width is set to 640 pixels and height to 480. If only one factor is specified, both the width and height assume the value. To specify a percentage width or height instead, append %. The image size is multiplied by the width and height percentages to obtain the final image dimensions. To increase the size of an image, use a value greater than 100 (e.g. 125%). To decrease an image's size, use a percentage less than 100. Use > to change the dimensions of the image only if its size exceeds the geometry specification. < resizes the image only if its dimensions is less than the geometry specification. For example, if you specify 640x480> and the image size is 512x512, the image size does not change. However, if the image is 1024x1024, it is resized to 640x480.

-interlace type
    the type of interlacing scheme: None, Line, Plane, or Partition. The default is None. This option is used to specify the type of interlacing scheme for raw image formats such as RGB or YUV. No means do not interlace (RGBRGBRGBRGBRGBRGB...), Line uses scanline interlacing (RRR...GGG...BBB...RRR...GGG...BBB...), and Plane uses plane interlacing (RRRRRR...GGGGGG...BBBBBB...). Partition is like plane except the different planes are saved to individual files (e.g. image.R, image.G, and image.B). Use Line, or Plane to create an interlaced GIF or progressive JPEG image. -label name assign a label to an image. Use this option to assign a specific label to the image. Optionally you can include the image filename, type, width, height, or other image attributes by embedding special format characters. See -comment for details. For example,
         -label "%m:%f %wx%h"
    produces an image label of MIFF:bird.miff 512x480 for an image titled bird.miff and whose width is 512 and height is 480. If the first character of string is @, the image label is read from a file titled by the remaining characters in the string. When converting to Postscript, use this option to specify a header string to print above the image. Specify the label font with -font.

-monochrome
    transform image to black and white.

-negate
    replace every pixel with its complementary color (white becomes black, yellow becomes blue, etc.). The red, green, and blue intensities of an image are negated. Use +negate to only negate the grayscale pixels of the image.

-page <width>x<height>{+-}<x offset>{+-}<y offset>{%}{!}{<}{>}
    preferred size and location of an image canvas. Use this option to specify the dimensions of the Postscript page in dots per inch or a TEXT page in pixels. The choices for a Postscript page are:
           11x17         792  1224
           Ledger       1224   792
           Legal         612  1008
           Letter        612   792
           LetterSmall   612   792
           ArchE        2592  3456
           ArchD        1728  2592
           ArchC        1296  1728
           ArchB         864  1296
           ArchA         648   864
           A0           2380  3368
           A1           1684  2380
           A2           1190  1684
           A3            842  1190
           A4            595   842
           A4Small       595   842
           A5            421   595
           A6            297   421
           A7            210   297
           A8            148   210
           A9            105   148
           A10            74   105
           B0           2836  4008
           B1           2004  2836
           B2           1418  2004
           B3           1002  1418
           B4            709  1002
           B5            501   709
           C0           2600  3677
           C1           1837  2600
           C2           1298  1837
           C3            918  1298
           C4            649   918
           C5            459   649
           C6            323   459
           Flsa          612   936
           Flse          612   936
           HalfLetter    396   612
    For convenience you can specify the page size by media (e.g. A4, Ledger, etc.). Otherwise, -page behaves much like -geometry (e.g. -page letter+43+43>). To position a GIF image, use -page {+-}<x offset>{+-}<y offset> (e.g. -page +100+200). For a Postscript page, the image is sized as in -geometry and positioned relative to the lower left hand corner of the page by {+-}<x offset>{+-}<y offset>. Use -page 612x792>, for example, to center the image within the page. If the image size exceeds the Postscript page, it is reduced to fit the page. The default page dimensions for a TEXT image is 612x792. This option is used in concert with -density.

-pointsize value
    pointsize of the Postscript, X11, or TrueType font.

-quality value
    JPEG/MIFF/PNG compression level. For the JPEG image format, quality is 0 (worst) to 100 (best). The default quality is 75. Quality for the MIFF and PNG image format sets the amount of image compression (quality / 10) and filter-type (quality % 10). Compression quality values range from 0 (worst) to 100 (best). If filter-type is 4 or less, the specified filter-type is used for all scanlines:
        0: none
        1: sub
        2: up
        3: average
        4: Paeth
    If filter-type is 5, adaptive filtering is used when quality is greater than 50 and the image does not have a color map, otherwise no filtering is used. If filter-type is 6 or more, adaptive filtering with minimum-sum-of-absolute-values is used. The default is quality is 75. Which means nearly the best compression with adaptive filtering. For further information, see the PNG specification (RFC 2083), <http://www.w3.org/pub/WWW/TR>.

-rotate degrees{<}{>}
    apply Paeth image rotation to the image. Use > to rotate the image only if its width exceeds the height. < rotates the image only if its width is less than the height. For example, if you specify -90> and the image size is 480x640, the image is not rotated by the specified angle. However, if the image is 640x480, it is rotated by -90 degrees. Empty triangles left over from rotating the image are filled with the color defined as bordercolor (class borderColor).

-scene value
    number of screen snapshots. Use this option to grab more than one image from the X server screen to create an animation sequence.

-screen
    This option indicates that the GetImage request used to obtain the image should be done on the root window, rather than directly on the specified window. In this way, you can obtain pieces of other windows that overlap the specified window, and more importantly, you can capture menus or other popups that are independent windows but appear over the specified window.

-silent
    operate silently, i.e. don't ring any bells.

-transparent color
    make this color transparent within the image.

-treedepth value
    Normally, this integer value is zero or one. A zero or one tells convert to choose a optimal tree depth for the color reduction algorithm. An optimal depth generally allows the best representation of the source image with the fastest computational speed and the least amount of memory. However, the default depth is inappropriate for some images. To assure the best representation, try values between 2 and 8 for this parameter. Refer to quantize(9) for more details. The -colors option is required for this option to take effect.

-verbose
    print detailed information about the image. This information is printed: image scene number; image name; image size; the image class (DirectClass or PseudoClass); the total number of unique colors; and the number of seconds to read and write the image.

-window id
    select window with this id or name. With this option you can specify the target window by id or name rather than using the mouse. Specify 'root' to select X's root window as the target window.

Options are processed in command line order. Any option you specify on the command line remains in effect until it is explicitly changed by specifying the option again with a different effect. file specifies the image filename. If file is omitted, it defaults to magick.miff. The default image format is MIFF. To specify a particular image format, precede the filename with an image format name and a colon (i.e. gif:image) or specify the image type as the filename suffix (i.e. image.jpg). See convert(1) for a list of valid image formats. Specify file as - for standard output. If file has the extension .Z or .gz, the file size is compressed using with compress or gzip respectively. Precede the image file name | to pipe to a system command. If file already exists, you will be prompted as to whether it should be overwritten.

ENVIRONMENT

display
    To get the default host, display number, and screen.

SEE ALSO
display(1), animate(1), montage(1), mogrify(1), convert(1), combine(1), xtp(1)

COPYRIGHT
Copyright (C) 2001 ImageMagick Studio, a non-profit organization dedicated to making software imaging solutions freely available. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files ("ImageMagick"), to deal in ImageMagick without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of ImageMagick, and to permit persons to whom the ImageMagick is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of ImageMagick. The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall ImageMagick Studio be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with ImageMagick or the use or other dealings in ImageMagick. Except as contained in this notice, the name of the ImageMagick Studio shall not be used in advertising or otherwise to promote the sale, use or other dealings in ImageMagick without prior written authorization from the ImageMagick Studio.

AUTHORS
John Cristy, E.I. du Pont De Nemours and Company Incorporated